version: '3.7'
services:
  server:
    container_name: registry_auth
    restart: always
    image: $REGISTRY_IMAGE
    environment:
      - AUTH_SERVER_PORT=8080
      - REGISTRY_PATH=registry
    ports:
      - 80:8080
  registry:
    container_name: registry
    restart: always
    image: registry:2
    environment:
      - REGISTRY_STORAGE=s3
      - REGISTRY_STORAGE_S3_ACCESSKEY=$AWS_KEY
      - REGISTRY_STORAGE_S3_SECRETKEY=$AWS_SECRET
      - REGISTRY_STORAGE_S3_REGION=ap-southeast-1
      - REGISTRY_STORAGE_S3_BUCKET=registry.atomi.cloud